LibreOffice: XSpreadsheet Interface Reference

LibreOffice LibreOffice 6.0 SDK API Reference

Public Member Functions | List of all members
XSpreadsheet Interface Referencepublished

provides methods to create a cell range cursor. More...

`import"XSpreadsheet.idl";`

Inheritance diagram for XSpreadsheet:

## Public Member Functions
com::sun::star::sheet::XSheetCellCursor | createCursor ()
| creates a cell cursor including the whole spreadsheet. More...
com::sun::star::sheet::XSheetCellCursor | createCursorByRange ([in] com::sun::star::sheet::XSheetCellRange aRange)
| creates a cell cursor to travel in the given range context. More...
Public Member Functions inherited from XSheetCellRange
com::sun::star::sheet::XSpreadsheet | getSpreadsheet ()
| returns the spreadsheet interface which contains the cell range. More...
Public Member Functions inherited from XCellRange
com::sun::star::table::XCell | getCellByPosition ([in] long nColumn, [in] long nRow) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| Returns a single cell within the range. More...
com::sun::star::table::XCellRange | getCellRangeByPosition ([in] long nLeft, [in] long nTop, [in] long nRight, [in] long nBottom) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| Returns a sub-range of cells within the range. More...
com::sun::star::table::XCellRange | getCellRangeByName ([in] string aRange)
| Returns a sub-range of cells within the range. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides methods to create a cell range cursor.

## Member Function Documentation

## ◆ createCursor()

com::sun::star::sheet::XSheetCellCursor createCursor | ( |  | ) |

creates a cell cursor including the whole spreadsheet.

See also
  com::sun::star::sheet::SheetCellCursor

## ◆ createCursorByRange()

com::sun::star::sheet::XSheetCellCursor createCursorByRange | ( | [in] com::sun::star::sheet::XSheetCellRange | aRange | ) |

creates a cell cursor to travel in the given range context.

Parameters

  aRange | the cell range for the cursor.

See also
  com::sun::star::sheet::SheetCellCursor

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XSpreadsheet.idl